Changeset 2257 for ThirdParty/SCIP


Ignore:
Timestamp:
Jun 13, 2011 12:57:08 PM (8 years ago)
Author:
stefan
Message:

disable check for Ipopt for now and wait for SCIP >= 2.0.2

Location:
ThirdParty/SCIP/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/Makefile.in

    r2255 r2257  
    464464INSTALL_SCRIPT = @INSTALL_SCRIPT@
    465465INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    466 IPOPT_CFLAGS = @IPOPT_CFLAGS@
    467 IPOPT_CFLAGS_INSTALLED = @IPOPT_CFLAGS_INSTALLED@
    468 IPOPT_DATA = @IPOPT_DATA@
    469 IPOPT_DATA_INSTALLED = @IPOPT_DATA_INSTALLED@
    470 IPOPT_DEPENDENCIES = @IPOPT_DEPENDENCIES@
    471 IPOPT_LIBS = @IPOPT_LIBS@
    472 IPOPT_LIBS_INSTALLED = @IPOPT_LIBS_INSTALLED@
    473466LDFLAGS = @LDFLAGS@
    474467LIBEXT = @LIBEXT@
  • ThirdParty/SCIP/trunk/config_scip.h.in

    r2234 r2257  
    1212/* Define to 1 if the Gurobi package is available */
    1313#undef COIN_HAS_GRB
    14 
    15 /* Define to 1 if the Ipopt package is available */
    16 #undef COIN_HAS_IPOPT
    1714
    1815/* Define to 1 if the Mosek package is available */
  • ThirdParty/SCIP/trunk/configure

    r2244 r2257  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11471147  --with-scip-lpsolver    specify LP solver to use in SCIP (soplex, clp,
    11481148                          cplex, mosek, xpress, gurobi, qsopt, none)
    1149   --with-ipopt-lib linker flags for using package Ipopt
    1150   --with-ipopt-incdir directory with header files for using package Ipopt
    1151   --with-ipopt-datadir directory with data files for using package Ipopt
    11521149  --with-cppad-lib linker flags for using package CppAD
    11531150  --with-cppad-incdir directory with header files for using package CppAD
     
    64296426*-*-irix6*)
    64306427  # Find out which ABI we are using.
    6431   echo '#line 6431 "configure"' > conftest.$ac_ext
     6428  echo '#line 6428 "configure"' > conftest.$ac_ext
    64326429  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64336430  (eval $ac_compile) 2>&5
     
    75637560
    75647561# Provide some information about the compiler.
    7565 echo "$as_me:7565:" \
     7562echo "$as_me:7562:" \
    75667563     "checking for Fortran 77 compiler version" >&5
    75677564ac_compiler=`set X $ac_compile; echo $2`
     
    86308627   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86318628   -e 's:$: $lt_compiler_flag:'`
    8632    (eval echo "\"\$as_me:8632: $lt_compile\"" >&5)
     8629   (eval echo "\"\$as_me:8629: $lt_compile\"" >&5)
    86338630   (eval "$lt_compile" 2>conftest.err)
    86348631   ac_status=$?
    86358632   cat conftest.err >&5
    8636    echo "$as_me:8636: \$? = $ac_status" >&5
     8633   echo "$as_me:8633: \$? = $ac_status" >&5
    86378634   if (exit $ac_status) && test -s "$ac_outfile"; then
    86388635     # The compiler can only warn and ignore the option if not recognized
     
    88988895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88998896   -e 's:$: $lt_compiler_flag:'`
    8900    (eval echo "\"\$as_me:8900: $lt_compile\"" >&5)
     8897   (eval echo "\"\$as_me:8897: $lt_compile\"" >&5)
    89018898   (eval "$lt_compile" 2>conftest.err)
    89028899   ac_status=$?
    89038900   cat conftest.err >&5
    8904    echo "$as_me:8904: \$? = $ac_status" >&5
     8901   echo "$as_me:8901: \$? = $ac_status" >&5
    89058902   if (exit $ac_status) && test -s "$ac_outfile"; then
    89068903     # The compiler can only warn and ignore the option if not recognized
     
    90028999   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90039000   -e 's:$: $lt_compiler_flag:'`
    9004    (eval echo "\"\$as_me:9004: $lt_compile\"" >&5)
     9001   (eval echo "\"\$as_me:9001: $lt_compile\"" >&5)
    90059002   (eval "$lt_compile" 2>out/conftest.err)
    90069003   ac_status=$?
    90079004   cat out/conftest.err >&5
    9008    echo "$as_me:9008: \$? = $ac_status" >&5
     9005   echo "$as_me:9005: \$? = $ac_status" >&5
    90099006   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90109007   then
     
    1134711344  lt_status=$lt_dlunknown
    1134811345  cat > conftest.$ac_ext <<EOF
    11349 #line 11349 "configure"
     11346#line 11346 "configure"
    1135011347#include "confdefs.h"
    1135111348
     
    1144711444  lt_status=$lt_dlunknown
    1144811445  cat > conftest.$ac_ext <<EOF
    11449 #line 11449 "configure"
     11446#line 11446 "configure"
    1145011447#include "confdefs.h"
    1145111448
     
    1379113788   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1379213789   -e 's:$: $lt_compiler_flag:'`
    13793    (eval echo "\"\$as_me:13793: $lt_compile\"" >&5)
     13790   (eval echo "\"\$as_me:13790: $lt_compile\"" >&5)
    1379413791   (eval "$lt_compile" 2>conftest.err)
    1379513792   ac_status=$?
    1379613793   cat conftest.err >&5
    13797    echo "$as_me:13797: \$? = $ac_status" >&5
     13794   echo "$as_me:13794: \$? = $ac_status" >&5
    1379813795   if (exit $ac_status) && test -s "$ac_outfile"; then
    1379913796     # The compiler can only warn and ignore the option if not recognized
     
    1389513892   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389613893   -e 's:$: $lt_compiler_flag:'`
    13897    (eval echo "\"\$as_me:13897: $lt_compile\"" >&5)
     13894   (eval echo "\"\$as_me:13894: $lt_compile\"" >&5)
    1389813895   (eval "$lt_compile" 2>out/conftest.err)
    1389913896   ac_status=$?
    1390013897   cat out/conftest.err >&5
    13901    echo "$as_me:13901: \$? = $ac_status" >&5
     13898   echo "$as_me:13898: \$? = $ac_status" >&5
    1390213899   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1390313900   then
     
    1546515462   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546615463   -e 's:$: $lt_compiler_flag:'`
    15467    (eval echo "\"\$as_me:15467: $lt_compile\"" >&5)
     15464   (eval echo "\"\$as_me:15464: $lt_compile\"" >&5)
    1546815465   (eval "$lt_compile" 2>conftest.err)
    1546915466   ac_status=$?
    1547015467   cat conftest.err >&5
    15471    echo "$as_me:15471: \$? = $ac_status" >&5
     15468   echo "$as_me:15468: \$? = $ac_status" >&5
    1547215469   if (exit $ac_status) && test -s "$ac_outfile"; then
    1547315470     # The compiler can only warn and ignore the option if not recognized
     
    1556915566   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1557015567   -e 's:$: $lt_compiler_flag:'`
    15571    (eval echo "\"\$as_me:15571: $lt_compile\"" >&5)
     15568   (eval echo "\"\$as_me:15568: $lt_compile\"" >&5)
    1557215569   (eval "$lt_compile" 2>out/conftest.err)
    1557315570   ac_status=$?
    1557415571   cat out/conftest.err >&5
    15575    echo "$as_me:15575: \$? = $ac_status" >&5
     15572   echo "$as_me:15572: \$? = $ac_status" >&5
    1557615573   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1557715574   then
     
    1777617773   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777717774   -e 's:$: $lt_compiler_flag:'`
    17778    (eval echo "\"\$as_me:17778: $lt_compile\"" >&5)
     17775   (eval echo "\"\$as_me:17775: $lt_compile\"" >&5)
    1777917776   (eval "$lt_compile" 2>conftest.err)
    1778017777   ac_status=$?
    1778117778   cat conftest.err >&5
    17782    echo "$as_me:17782: \$? = $ac_status" >&5
     17779   echo "$as_me:17779: \$? = $ac_status" >&5
    1778317780   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778417781     # The compiler can only warn and ignore the option if not recognized
     
    1804418041   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804518042   -e 's:$: $lt_compiler_flag:'`
    18046    (eval echo "\"\$as_me:18046: $lt_compile\"" >&5)
     18043   (eval echo "\"\$as_me:18043: $lt_compile\"" >&5)
    1804718044   (eval "$lt_compile" 2>conftest.err)
    1804818045   ac_status=$?
    1804918046   cat conftest.err >&5
    18050    echo "$as_me:18050: \$? = $ac_status" >&5
     18047   echo "$as_me:18047: \$? = $ac_status" >&5
    1805118048   if (exit $ac_status) && test -s "$ac_outfile"; then
    1805218049     # The compiler can only warn and ignore the option if not recognized
     
    1814818145   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1814918146   -e 's:$: $lt_compiler_flag:'`
    18150    (eval echo "\"\$as_me:18150: $lt_compile\"" >&5)
     18147   (eval echo "\"\$as_me:18147: $lt_compile\"" >&5)
    1815118148   (eval "$lt_compile" 2>out/conftest.err)
    1815218149   ac_status=$?
    1815318150   cat out/conftest.err >&5
    18154    echo "$as_me:18154: \$? = $ac_status" >&5
     18151   echo "$as_me:18151: \$? = $ac_status" >&5
    1815518152   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815618153   then
     
    2333923336
    2334023337# check for NLP solvers
    23341 
    23342 echo "$as_me:$LINENO: checking for COIN-OR package Ipopt" >&5
    23343 echo $ECHO_N "checking for COIN-OR package Ipopt... $ECHO_C" >&6
    23344 
    23345 coin_has_ipopt=notGiven
    23346 
    23347 # check if user wants to skip package in any case
    23348 if test x"$COIN_SKIP_PROJECTS" != x; then
    23349   for dir in $COIN_SKIP_PROJECTS; do
    23350     if test $dir = "Ipopt"; then
    23351       coin_has_ipopt=skipping
    23352     fi
    23353   done
    23354 fi
    23355 
    23356 if test "$coin_has_ipopt" != skipping; then
    23357 
    23358 # Check whether --with-m4_tolower(Ipopt) or --without-m4_tolower(Ipopt) was given.
    23359 if test "${with_ipopt+set}" = set; then
    23360   withval="$with_ipopt"
    23361   if test "$withval" = no ; then
    23362        coin_has_ipopt=skipping
    23363      fi
    23364 
    23365 fi;
    23366 fi
    23367 
    23368 IPOPT_LIBS=
    23369 IPOPT_CFLAGS=
    23370 IPOPT_DATA=
    23371 IPOPT_DEPENDENCIES=
    23372 IPOPT_PCLIBS=
    23373 IPOPT_PCREQUIRES=
    23374 IPOPT_DATA=
    23375 
    23376 
    23377 
    23378 
    23379 
    23380 
    23381 
    23382 
    23383 
    23384 
    23385 
    23386 
    23387 
    23388 
    23389 
    23390 
    23391 
    23392 #check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
    23393 if test $coin_has_ipopt != skipping; then
    23394 
    23395 # Check whether --with-m4_tolower(Ipopt)-lib or --without-m4_tolower(Ipopt)-lib was given.
    23396 if test "${with_ipopt_lib+set}" = set; then
    23397   withval="$with_ipopt_lib"
    23398   if test "$withval" = no ; then
    23399        coin_has_ipopt=skipping
    23400      else
    23401        coin_has_ipopt=yes
    23402        IPOPT_LIBS="$withval"
    23403        IPOPT_PCLIBS="$withval"
    23404 
    23405          SCIPLIB_PCLIBS="$withval $SCIPLIB_PCLIBS"
    23406          SCIPLIB_LIBS="$withval $SCIPLIB_LIBS"
    23407 
    23408        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    23409        if test -z "$PKG_CONFIG" ; then
    23410          IPOPT_LIBS_INSTALLED="$withval"
    23411          SCIPLIB_LIBS_INSTALLED="$withval $SCIPLIB_LIBS_INSTALLED"
    23412        fi
    23413      fi
    23414 
    23415 fi;
    23416 fi
    23417 
    23418 if test $coin_has_ipopt != skipping; then
    23419 
    23420 # Check whether --with-m4_tolower(Ipopt)-incdir or --without-m4_tolower(Ipopt)-incdir was given.
    23421 if test "${with_ipopt_incdir+set}" = set; then
    23422   withval="$with_ipopt_incdir"
    23423   if test "$withval" = no ; then
    23424        coin_has_ipopt=skipping
    23425      else
    23426        coin_has_ipopt=yes
    23427        IPOPT_CFLAGS="-I`${CYGPATH_W} $withval`"
    23428        SCIPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $SCIPLIB_CFLAGS"
    23429        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    23430        if test -z "$PKG_CONFIG" ; then
    23431          IPOPT_CFLAGS_INSTALLED="$IPOPT_CFLAGS"
    23432          SCIPLIB_CFLAGS_INSTALLED="$IPOPT_CFLAGS $SCIPLIB_CFLAGS_INSTALLED"
    23433        fi
    23434      fi
    23435 
    23436 fi;
    23437 fi
    23438 
    23439 if test $coin_has_ipopt != skipping; then
    23440 
    23441 # Check whether --with-m4_tolower(Ipopt)-datadir or --without-m4_tolower(Ipopt)-datadir was given.
    23442 if test "${with_ipopt_datadir+set}" = set; then
    23443   withval="$with_ipopt_datadir"
    23444   if test "$withval" = no ; then
    23445        coin_has_ipopt=skipping
    23446      else
    23447        coin_has_ipopt=yes
    23448        IPOPT_DATA="$withval"
    23449        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    23450        if test -z "$PKG_CONFIG" ; then
    23451          IPOPT_DATA_INSTALLED="$withval"
    23452        fi
    23453      fi
    23454 
    23455 fi;
    23456 fi
    23457 
    23458 if test $coin_has_ipopt = notGiven; then
    23459   if test -n "$PKG_CONFIG" ; then
    23460     # set search path for pkg-config
    23461     # need to export variable to be sure that the following pkg-config gets these values
    23462     coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    23463     PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
    23464     export PKG_CONFIG_PATH
    23465 
    23466     # let pkg-config do it's magic
    23467 
    23468 
    23469 
    23470 if test -n "$PKG_CONFIG" ; then
    23471   if $PKG_CONFIG --exists "ipopt != 3.9trunk"; then
    23472     IPOPT_VERSIONS="`$PKG_CONFIG --modversion "ipopt != 3.9trunk" 2>/dev/null | tr '\n' ' '`"
    23473      cflags=`$PKG_CONFIG --cflags "ipopt != 3.9trunk" 2>/dev/null`
    23474     # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    23475         # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
    23476         # but only do this if is not trivial
    23477     if test "$CYGPATH_W" != "echo" ; then
    23478       # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
    23479       cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    23480     fi
    23481     IPOPT_CFLAGS="$cflags"
    23482     IPOPT_LIBS=`$PKG_CONFIG --libs "ipopt != 3.9trunk" 2>/dev/null`
    23483     IPOPT_DATA=`$PKG_CONFIG --variable=datadir "ipopt != 3.9trunk" 2>/dev/null`
    23484      coin_has_ipopt=yes
    23485         echo "$as_me:$LINENO: result: yes: $IPOPT_VERSIONS" >&5
    23486 echo "${ECHO_T}yes: $IPOPT_VERSIONS" >&6
    23487 
    23488         # adjust linker flags for (i)cl compiler
    23489         # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
    23490         if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
    23491         then
    23492           IPOPT_LIBS=`echo " $IPOPT_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
    23493         fi
    23494         IPOPT_PCREQUIRES="ipopt != 3.9trunk"
    23495 
    23496         # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in SCIPLib
    23497 
    23498           SCIPLIB_PCREQUIRES="ipopt != 3.9trunk $SCIPLIB_PCREQUIRES"
    23499           SCIPLIB_CFLAGS="$IPOPT_CFLAGS $SCIPLIB_CFLAGS"
    23500           SCIPLIB_LIBS="$IPOPT_LIBS $SCIPLIB_LIBS"
    23501 
    23502 
    23503 
    23504   else
    23505     IPOPT_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "ipopt != 3.9trunk"`
    23506       coin_has_ipopt=notGiven
    23507         echo "$as_me:$LINENO: result: not given: $IPOPT_PKG_ERRORS" >&5
    23508 echo "${ECHO_T}not given: $IPOPT_PKG_ERRORS" >&6
    23509 
    23510   fi
    23511 else
    23512   { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Ipopt without pkg-config\"" >&5
    23513 echo "$as_me: error: \"Cannot check for existance of module Ipopt without pkg-config\"" >&2;}
    23514    { (exit 1); exit 1; }; }
    23515 fi
    23516 
    23517 
    23518 
    23519 
    23520     # reset PKG_CONFIG_PATH variable
    23521     PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
    23522     export PKG_CONFIG_PATH
    23523 
    23524   else
    23525     echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
    23526 echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
    23527 
    23528 echo "$as_me:$LINENO: checking for COIN-OR package Ipopt (fallback)" >&5
    23529 echo $ECHO_N "checking for COIN-OR package Ipopt (fallback)... $ECHO_C" >&6
    23530 
    23531 coin_has_ipopt=notGiven
    23532 IPOPT_LIBS=
    23533 IPOPT_LIBS_INSTALLED=
    23534 IPOPT_CFLAGS=
    23535 IPOPT_CFLAGS_INSTALLED=
    23536 IPOPT_DATA=
    23537 IPOPT_DATA_INSTALLED=
    23538 IPOPT_PCLIBS=
    23539 IPOPT_PCREQUIRES=
    23540 
    23541 # initial list of dependencies is "ipopt != 3.9trunk", but we need to filter out version number specifications (= x, <= x, >= x, != x)
    23542 projtoprocess="ipopt "
    23543 
    23544 # we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    23545 # further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
    23546 # the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    23547 # also, we setup the DATA variable
    23548 allproj=""
    23549 allpcfiles=""
    23550 allpcifiles=""
    23551 while test "x$projtoprocess" != x ; do
    23552 
    23553   for proj in $projtoprocess ; do
    23554     # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
    23555     pcfile=""
    23556     save_IFS="$IFS"
    23557     IFS=":"
    23558     for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    23559       # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    23560       if test -r "$dir/${proj}-uninstalled.pc" ; then
    23561         pcfile="$dir/$proj-uninstalled.pc"
    23562         if test -r "$dir/${proj}.pc" ; then
    23563           pcifile="$dir/${proj}.pc"
    23564         else
    23565           { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
    23566 echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
    23567           pcifile=
    23568         fi
    23569         break
    23570       fi
    23571     done
    23572     IFS="$save_IFS"
    23573 
    23574     if test "x$pcfile" != x ; then
    23575       # read dependencies from $pcfile and filter it
    23576       projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
    23577 
    23578       # add projrequires to the front of the list of projects that have to be processed next
    23579       # at the same time, remove $proj from this list
    23580       projtoprocess=${projtoprocess/$proj/$projrequires}
    23581 
    23582       # read DATA from $pcfile, if _DATA is still empty
    23583       if test "x$IPOPT_DATA" = x ; then
    23584         projdatadir=
    23585         pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
    23586         eval `sh -c "$pcfilemod"`
    23587         IPOPT_DATA="$projdatadir"
    23588       fi
    23589 
    23590       allproj="$allproj $proj"
    23591       allpcfiles="$pcfile:$allpcfiles"
    23592 
    23593     else
    23594       echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
    23595 echo "${ECHO_T}no, dependency $proj not available" >&6
    23596       allproj=fail
    23597       break 2
    23598     fi
    23599 
    23600     if test "x$pcifile" != x ; then
    23601       allpcifiles="$pcifile:$allpcifiles"
    23602 
    23603       # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
    23604       if test "x$IPOPT_DATA_INSTALLED" = x ; then
    23605         projdatadir=
    23606         pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
    23607         eval `sh -c "$pcifilemod"`
    23608         if test "${CYGPATH_W}" != "echo"; then
    23609           projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
    23610         fi
    23611         IPOPT_DATA_INSTALLED="$projdatadir"
    23612       fi
    23613 
    23614     fi
    23615 
    23616     break
    23617   done
    23618 
    23619   # remove spaces on begin of $projtoprocess
    23620   projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
    23621 
    23622 done
    23623 
    23624 if test "$allproj" != fail ; then
    23625 
    23626   # now go through the list of .pc files and assemble compiler and linker flags
    23627   # important is here to obey the reverse order that has been setup before,
    23628   # since then libraries that are required by several others should be after these other libraries
    23629   pcfilesprocessed=""
    23630 
    23631   save_IFS="$IFS"
    23632   IFS=":"
    23633   for pcfile in $allpcfiles ; do
    23634 
    23635     # if $pcfile has been processed already, skip this round
    23636     if test "x$pcfilesprocessed" != x ; then
    23637       for pcfiledone in $pcfilesprocessed ; do
    23638         if test "$pcfiledone" = "$pcfile" ; then
    23639           continue 2
    23640         fi
    23641       done
    23642     fi
    23643 
    23644     # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
    23645     #   replace "Libs:" by "echo projlibs="
    23646     #   replace "Cflags:" by "echo projcflags="
    23647     #   remove every line starting with <some word>:
    23648     pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
    23649 
    23650     # set projcflags and projlibs variables by running $pcfilemod
    23651     projcflags=
    23652     projlibs=
    23653     eval `sh -c "$pcfilemod"`
    23654 
    23655     # add CYGPATH_W cludge into include flags and set CFLAGS variable
    23656     if test "${CYGPATH_W}" != "echo"; then
    23657       projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    23658     fi
    23659     IPOPT_CFLAGS="$projcflags $IPOPT_CFLAGS"
    23660 
    23661     # set LIBS variable
    23662     IPOPT_LIBS="$projlibs $IPOPT_LIBS"
    23663 
    23664     # remember that we have processed $pcfile
    23665     pcfilesprocessed="$pcfilesprocessed:$pcfile"
    23666 
    23667   done
    23668   IFS="$save_IFS"
    23669 
    23670 
    23671   # now go through the list of .pc files for installed projects and assemble compiler and linker flags
    23672   # important is here again to obey the reverse order that has been setup before,
    23673   # since then libraries that are required by several others should be after these other libraries
    23674   pcfilesprocessed=""
    23675 
    23676   save_IFS="$IFS"
    23677   IFS=":"
    23678   for pcfile in $allpcifiles ; do
    23679 
    23680     # if $pcfile has been processed already, skip this round
    23681     if test "x$pcfilesprocessed" != x ; then
    23682       for pcfiledone in $pcfilesprocessed ; do
    23683         if test "$pcfiledone" = "$pcfile" ; then
    23684           continue 2
    23685         fi
    23686       done
    23687     fi
    23688 
    23689     # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
    23690     #   replace "Libs:" by "echo projlibs="
    23691     #   replace "Cflags:" by "echo projcflags="
    23692     #   remove every line starting with <some word>:
    23693     pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
    23694 
    23695     # set projcflags and projlibs variables by running $pcfilemod
    23696     projcflags=
    23697     projlibs=
    23698     eval `sh -c "$pcfilemod"`
    23699 
    23700     # add CYGPATH_W cludge into include flags and set CFLAGS variable
    23701     if test "${CYGPATH_W}" != "echo"; then
    23702       projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    23703     fi
    23704     IPOPT_CFLAGS_INSTALLED="$projcflags $IPOPT_CFLAGS_INSTALLED"
    23705 
    23706     # set LIBS variable
    23707     IPOPT_LIBS_INSTALLED="$projlibs $IPOPT_LIBS_INSTALLED"
    23708 
    23709     # remember that we have processed $pcfile
    23710     pcfilesprocessed="$pcfilesprocessed:$pcfile"
    23711 
    23712   done
    23713   IFS="$save_IFS"
    23714 
    23715 
    23716   # finish up
    23717   coin_has_ipopt=yes
    23718   echo "$as_me:$LINENO: result: yes" >&5
    23719 echo "${ECHO_T}yes" >&6
    23720 
    23721 cat >>confdefs.h <<\_ACEOF
    23722 #define COIN_HAS_IPOPT 1
    23723 _ACEOF
    23724 
    23725 
    23726   # adjust linker flags for (i)cl compiler
    23727   # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
    23728   # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
    23729   #    everything of the form "-Lpath" by "/libpath:`$(CYGPATH_W) path`, and
    23730   #    everything of the form "-lname" by "libname.lib"
    23731   if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
    23732   then
    23733     IPOPT_LIBS=`echo " $IPOPT_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
    23734     IPOPT_LIBS_INSTALLED=`echo " $IPOPT_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -L\([^ ]*\)/ \/libpath:\`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g'`
    23735   fi
    23736 
    23737   IPOPT_PCREQUIRES="ipopt != 3.9trunk"
    23738 
    23739     SCIPLIB_PCREQUIRES="ipopt != 3.9trunk $SCIPLIB_PCREQUIRES"
    23740     SCIPLIB_CFLAGS="$IPOPT_CFLAGS $SCIPLIB_CFLAGS"
    23741     SCIPLIB_LIBS="$IPOPT_LIBS $SCIPLIB_LIBS"
    23742     SCIPLIB_CFLAGS_INSTALLED="$IPOPT_CFLAGS_INSTALLED $SCIPLIB_CFLAGS_INSTALLED"
    23743     SCIPLIB_LIBS_INSTALLED="$IPOPT_LIBS_INSTALLED $SCIPLIB_LIBS_INSTALLED"
    23744 
    23745 
    23746 fi
    23747 
    23748 
    23749 
    23750 if test $coin_has_ipopt != notGiven &&
    23751                 test $coin_has_ipopt != skipping; then
     23338#AC_COIN_CHECK_PACKAGE(Ipopt, ipopt != 3.9trunk, SCIPLib)
     23339
     23340
     23341if test 0 = 1; then
    2375223342  COIN_HAS_IPOPT_TRUE=
    2375323343  COIN_HAS_IPOPT_FALSE='#'
     
    2375623346  COIN_HAS_IPOPT_FALSE=
    2375723347fi
    23758 
    23759 
    23760 
    23761   fi
    23762 
    23763 else
    23764   echo "$as_me:$LINENO: result: $coin_has_ipopt" >&5
    23765 echo "${ECHO_T}$coin_has_ipopt" >&6
    23766 fi
    23767 
    23768 if test $coin_has_ipopt != skipping &&
    23769    test $coin_has_ipopt != notGiven ; then
    23770 
    23771 cat >>confdefs.h <<\_ACEOF
    23772 #define COIN_HAS_IPOPT 1
    23773 _ACEOF
    23774 
    23775 
    23776   # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
    23777 if test "${enable_interpackage_dependencies+set}" = set; then
    23778   enableval="$enable_interpackage_dependencies"
    23779 
    23780 else
    23781   enable_interpackage_dependencies=yes
    23782 fi;
    23783 
    23784   if test $enable_interpackage_dependencies = yes ; then
    23785      # construct dependencies variables from LIBS variables
    23786      # we add an extra space in LIBS so we can substitute out everything starting with " -"
    23787      # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
    23788      # then remove everything of the form -xxx
    23789      # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    23790      IPOPT_DEPENDENCIES=`echo " $IPOPT_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    23791 
    23792        SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    23793 
    23794   fi
    23795 
    23796   if test 1 = 0 ; then  #change this test to enable a bit of debugging output
    23797     if test -n "$IPOPT_CFLAGS" ; then
    23798       { echo "$as_me:$LINENO: Ipopt CFLAGS are $IPOPT_CFLAGS" >&5
    23799 echo "$as_me: Ipopt CFLAGS are $IPOPT_CFLAGS" >&6;}
    23800     fi
    23801     if test -n "$IPOPT_LIBS" ; then
    23802       { echo "$as_me:$LINENO: Ipopt LIBS   are $IPOPT_LIBS" >&5
    23803 echo "$as_me: Ipopt LIBS   are $IPOPT_LIBS" >&6;}
    23804     fi
    23805     if test -n "$IPOPT_DEPENDENCIES" ; then
    23806       { echo "$as_me:$LINENO: Ipopt DEPENDENCIES are $IPOPT_DEPENDENCIES" >&5
    23807 echo "$as_me: Ipopt DEPENDENCIES are $IPOPT_DEPENDENCIES" >&6;}
    23808     fi
    23809     if test -n "$IPOPT_DATA" ; then
    23810       { echo "$as_me:$LINENO: Ipopt DATA   is  $IPOPT_DATA" >&5
    23811 echo "$as_me: Ipopt DATA   is  $IPOPT_DATA" >&6;}
    23812     fi
    23813     if test -n "$IPOPT_PCLIBS" ; then
    23814       { echo "$as_me:$LINENO: Ipopt PCLIBS are $IPOPT_PCLIBS" >&5
    23815 echo "$as_me: Ipopt PCLIBS are $IPOPT_PCLIBS" >&6;}
    23816     fi
    23817     if test -n "$IPOPT_PCREQUIRES" ; then
    23818       { echo "$as_me:$LINENO: Ipopt PCREQUIRES are $IPOPT_PCREQUIRES" >&5
    23819 echo "$as_me: Ipopt PCREQUIRES are $IPOPT_PCREQUIRES" >&6;}
    23820     fi
    23821 
    23822       { echo "$as_me:$LINENO: SCIPLib CFLAGS are $SCIPLIB_CFLAGS" >&5
    23823 echo "$as_me: SCIPLib CFLAGS are $SCIPLIB_CFLAGS" >&6;}
    23824       { echo "$as_me:$LINENO: SCIPLib LIBS   are $SCIPLIB_LIBS" >&5
    23825 echo "$as_me: SCIPLib LIBS   are $SCIPLIB_LIBS" >&6;}
    23826       { echo "$as_me:$LINENO: SCIPLib DEPENDENCIES are $SCIPLIB_DEPENDENCIES" >&5
    23827 echo "$as_me: SCIPLib DEPENDENCIES are $SCIPLIB_DEPENDENCIES" >&6;}
    23828 
    23829   fi
    23830 fi
    23831 
    23832 # Define the Makefile conditional
    23833 
    23834 
    23835 if test $coin_has_ipopt != notGiven &&
    23836                 test $coin_has_ipopt != skipping; then
    23837   COIN_HAS_IPOPT_TRUE=
    23838   COIN_HAS_IPOPT_FALSE='#'
    23839 else
    23840   COIN_HAS_IPOPT_TRUE='#'
    23841   COIN_HAS_IPOPT_FALSE=
    23842 fi
    23843 
    23844 
    2384523348
    2384623349
     
    2568525188Usually this means the macro was only invoked conditionally." >&5
    2568625189echo "$as_me: error: conditional \"SCIPLPI_NONE\" was never defined.
    25687 Usually this means the macro was only invoked conditionally." >&2;}
    25688    { (exit 1); exit 1; }; }
    25689 fi
    25690 if test -z "${COIN_HAS_IPOPT_TRUE}" && test -z "${COIN_HAS_IPOPT_FALSE}"; then
    25691   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_IPOPT\" was never defined.
    25692 Usually this means the macro was only invoked conditionally." >&5
    25693 echo "$as_me: error: conditional \"COIN_HAS_IPOPT\" was never defined.
    2569425190Usually this means the macro was only invoked conditionally." >&2;}
    2569525191   { (exit 1); exit 1; }; }
     
    2642025916s,@SCIPLPI_NONE_TRUE@,$SCIPLPI_NONE_TRUE,;t t
    2642125917s,@SCIPLPI_NONE_FALSE@,$SCIPLPI_NONE_FALSE,;t t
    26422 s,@IPOPT_LIBS@,$IPOPT_LIBS,;t t
    26423 s,@IPOPT_CFLAGS@,$IPOPT_CFLAGS,;t t
    26424 s,@IPOPT_DATA@,$IPOPT_DATA,;t t
    26425 s,@IPOPT_DEPENDENCIES@,$IPOPT_DEPENDENCIES,;t t
    26426 s,@IPOPT_LIBS_INSTALLED@,$IPOPT_LIBS_INSTALLED,;t t
    26427 s,@IPOPT_CFLAGS_INSTALLED@,$IPOPT_CFLAGS_INSTALLED,;t t
    26428 s,@IPOPT_DATA_INSTALLED@,$IPOPT_DATA_INSTALLED,;t t
    26429 s,@SCIPLIB_CFLAGS@,$SCIPLIB_CFLAGS,;t t
    26430 s,@SCIPLIB_LIBS@,$SCIPLIB_LIBS,;t t
    26431 s,@SCIPLIB_PCLIBS@,$SCIPLIB_PCLIBS,;t t
    26432 s,@SCIPLIB_PCREQUIRES@,$SCIPLIB_PCREQUIRES,;t t
    26433 s,@SCIPLIB_DEPENDENCIES@,$SCIPLIB_DEPENDENCIES,;t t
    26434 s,@SCIPLIB_CFLAGS_INSTALLED@,$SCIPLIB_CFLAGS_INSTALLED,;t t
    26435 s,@SCIPLIB_LIBS_INSTALLED@,$SCIPLIB_LIBS_INSTALLED,;t t
    2643625918s,@COIN_HAS_IPOPT_TRUE@,$COIN_HAS_IPOPT_TRUE,;t t
    2643725919s,@COIN_HAS_IPOPT_FALSE@,$COIN_HAS_IPOPT_FALSE,;t t
     
    2644325925s,@CPPAD_CFLAGS_INSTALLED@,$CPPAD_CFLAGS_INSTALLED,;t t
    2644425926s,@CPPAD_DATA_INSTALLED@,$CPPAD_DATA_INSTALLED,;t t
     25927s,@SCIPLIB_CFLAGS@,$SCIPLIB_CFLAGS,;t t
     25928s,@SCIPLIB_LIBS@,$SCIPLIB_LIBS,;t t
     25929s,@SCIPLIB_PCLIBS@,$SCIPLIB_PCLIBS,;t t
     25930s,@SCIPLIB_PCREQUIRES@,$SCIPLIB_PCREQUIRES,;t t
     25931s,@SCIPLIB_DEPENDENCIES@,$SCIPLIB_DEPENDENCIES,;t t
     25932s,@SCIPLIB_CFLAGS_INSTALLED@,$SCIPLIB_CFLAGS_INSTALLED,;t t
     25933s,@SCIPLIB_LIBS_INSTALLED@,$SCIPLIB_LIBS_INSTALLED,;t t
    2644525934s,@COIN_HAS_CPPAD_TRUE@,$COIN_HAS_CPPAD_TRUE,;t t
    2644625935s,@COIN_HAS_CPPAD_FALSE@,$COIN_HAS_CPPAD_FALSE,;t t
  • ThirdParty/SCIP/trunk/configure.ac

    r2244 r2257  
    187187
    188188# check for NLP solvers
    189 AC_COIN_CHECK_PACKAGE(Ipopt, ipopt != 3.9trunk, SCIPLib)
     189#AC_COIN_CHECK_PACKAGE(Ipopt, ipopt != 3.9trunk, SCIPLib)
     190AM_CONDITIONAL(COIN_HAS_IPOPT, test 0 = 1)
    190191
    191192# check for CppAD
Note: See TracChangeset for help on using the changeset viewer.